RSS and Atom Feed Validator
Check an RSS 2.0 or Atom feed for the required elements and the details feed readers depend on: guids, ids, self links and correctly formatted dates.
Free · No sign-up · Your inputs stay in your browser
Input
Validate an RSS or Atom feed
Output
Reading...
Checks the elements RSS 2.0 and Atom (RFC 4287) require and the ones feed readers depend on in practice: a stable guid or id per item, so an edited post does not appear twice, dates in the format each spec mandates (RFC 822 for RSS, RFC 3339 for Atom), and a self link. The W3C Feed Validation Service checks the rest.
Runs in this browser. Nothing you paste is sent to a server.
About this tool
Method, assumptions, practical next steps, and limits.
The problems readers notice
An item without a stable guid can reappear as new every time its title or link changes, and a date in the wrong format sorts items oddly or shows them all as published now. Those, rather than missing optional elements, are what subscribers see. RSS 2.0 is specified at the RSS Advisory Board and Atom in RFC 4287.
Full validation
The W3C Feed Validation Service checks every rule of both formats, including namespaced extensions such as iTunes podcast tags.